<?php

use Illuminate\Support\Facades\Route;
use Modules\Qc\Http\Controllers\DamageCheckingRecordsHeaderController;
use Modules\Qc\Http\Controllers\DamageCheckingRecordsDataController;
use Modules\Qc\Http\Controllers\PackingLineQualityRecordDataController;
use Modules\Qc\Http\Controllers\PackingLineQualityRecordHeaderController;
use Modules\Qc\Http\Controllers\SupervisorCheckListDataController;
use Modules\Qc\Http\Controllers\SupervisorCheckListHeaderController;
use Modules\Qc\Http\Controllers\SettingsController;
use Modules\Qc\Http\Controllers\NcrRecordAttachmentController;
use Modules\Qc\Http\Controllers\NcrRecordController;
use Modules\Qc\Http\Controllers\DailyQualityBagInspectionDataController;
use Modules\Qc\Http\Controllers\DailyQualityBagInspectionDataHeaderController;
use Modules\Qc\Http\Controllers\ElectricalConductivityCheckListDataController;
use Modules\Qc\Http\Controllers\ElectricalConductivityCheckListHeaderController;
use Modules\Qc\Http\Controllers\ProductionWeightReportController;
use Modules\Qc\Http\Controllers\ProductionWeightReportHeaderController;
use Modules\Qc\Http\Controllers\PallatizingDetailsDataController;
use Modules\Qc\Http\Controllers\PallatizingDetailsHeaderController;
use Modules\Qc\Http\Controllers\QualityInspectionExpansionDataController;
use Modules\Qc\Http\Controllers\QualityInspectionExpansionHeaderController;
use Modules\Qc\Http\Controllers\IacListController;
use Modules\Qc\Http\Controllers\SupplierEvaluationController;
use Modules\Qc\Http\Controllers\SupplierQuestionnaireController;
use Modules\Qc\Http\Controllers\QuarantineCountryListController;
use Modules\Qc\Http\Controllers\QuarantineRequestFormController;
use Modules\Qc\Http\Controllers\DailyLabReportDayController;
use Modules\Qc\Http\Controllers\DailyLabReportNightController;
use Modules\Qc\Http\Controllers\DailyLabReportOutsideController;
use Modules\Qc\Http\Controllers\DailyLabReportSbpController;
use Modules\Qc\Http\Controllers\OutsideFactoryVisitRecordController;
use Modules\Qc\Http\Controllers\PcmSupplierVisitFormatController;
use Modules\Qc\Http\Controllers\EcMeterVerificationRecordController;
use Modules\Qc\Http\Controllers\WaterQualityIlrController;
use Modules\Qc\Http\Controllers\WeedContaminationRecordController;
use Modules\Qc\Http\Controllers\WeeklyLqrController;
use Modules\Qc\Http\Controllers\LeachWaterColorReportController;
use Modules\Qc\Http\Controllers\LocalOrderLtrController;
use Modules\Qc\Http\Controllers\ScaleCalibrationController;
use Modules\Qc\Http\Controllers\ChemicalTestingSummaryController;
use Modules\Qc\Http\Controllers\MicroTestingSummaryController;
use Modules\Qc\Http\Controllers\RequestMethylBromideController;
use Modules\Qc\Http\Controllers\SampleInformationController;
use Modules\Qc\Http\Controllers\PackingMaterialChecklistController;
use Modules\Qc\Http\Controllers\PackingMaterialChecklistHeaderController;


Route::prefix('qc')->group(function () {
    Route::get(
        '/dashboard',
        function () {
            return view('qc::dashboard');
        }
    )->middleware('is.logged');

    Route::get(
        '/damageCheckingList',
        function () {
            return view('qc::damage_checking_records_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/damageChecking',
        function () {
            return view('qc::damage_checking_records');
        }
    )->middleware('is.logged');

    Route::get(
        '/packingLineList',
        function () {
            return view('qc::packing_line_quality_records_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/packingLine',
        function () {
            return view('qc::packing_line_quality_records');
        }
    )->middleware('is.logged');

    Route::get(
        '/supervisorChecking',
        function () {
            return view('qc::supervisor_check_list_data');
        }
    )->middleware('is.logged');

    Route::get(
        '/supervisorCheckingList',
        function () {
            return view('qc::supervisor_check_list_header');
        }
    )->middleware('is.logged');

    Route::get(
        '/settings',
        function () {
            return view('qc::settings');
        }
    )->middleware('is.logged');

    Route::get(
        '/ncrRecordList',
        function () {
            return view('qc::ncr_record_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/dqBagInspection',
        function () {
            return view('qc::daily_quality_bag_inspection');
        }
    )->middleware('is.logged');

    Route::get(
        '/dqBagInspectionList',
        function () {
            return view('qc::daily_quality_bag_inspection_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/electricalConductivity',
        function () {
            return view('qc::electrical_conductivity_data');
        }
    )->middleware('is.logged');

    Route::get(
        '/electricalConductivityList',
        function () {
            return view('qc::electrical_conductivity_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/pwReport',
        function () {
            return view('qc::production_weight_report');
        }
    )->middleware('is.logged');

    Route::get(
        '/pwReportsList',
        function () {
            return view('qc::production_weight_report_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/pallatizingDetails',
        function () {
            return view('qc::pallatizing_details');
        }
    )->middleware('is.logged');

    Route::get(
        '/pallatizingDetailsList',
        function () {
            return view('qc::pallatizing_details_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/qiExpansion',
        function () {
            return view('qc::quality_inspection_expansion');
        }
    )->middleware('is.logged');

    Route::get(
        '/qiExpansionList',
        function () {
            return view('qc::quality_inspection_expansion_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/packingMaterial',
        function () {
            return view('qc::packing_material');
        }
    )->middleware('is.logged');

    Route::get(
        '/packingMaterialList',
        function () {
            return view('qc::packing_material_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/internalAudit',
        function () {
            return view('qc::iac_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/supplierEvaluation',
        function () {
            return view('qc::supplier_evaluation');
        }
    )->middleware('is.logged');

    Route::get(
        '/supplierQuestionnaire',
        function () {
            return view('qc::supplier_questionnaire');
        }
    )->middleware('is.logged');

    Route::get(
        '/quarantineRequestForm',
        function () {
            return view('qc::quarantine_request_form');
        }
    )->middleware('is.logged');

    Route::get(
        '/quarantineCountryList',
        function () {
            return view('qc::quarantine_country_list');
        }
    )->middleware('is.logged');

    Route::get(
        '/dlrDay',
        function () {
            return view('qc::dlr_day');
        }
    )->middleware('is.logged');

    Route::get(
        '/dlrNight',
        function () {
            return view('qc::dlr_night');
        }
    )->middleware('is.logged');

    Route::get(
        '/dlrOutside',
        function () {
            return view('qc::dlr_outside');
        }
    )->middleware('is.logged');

    Route::get(
        '/dlrSbp',
        function () {
            return view('qc::dlr_sbp');
        }
    )->middleware('is.logged');

    Route::get(
        '/outsideFactoryVisit',
        function () {
            return view('qc::outside_factory_visit_record');
        }
    )->middleware('is.logged');

    Route::get(
        '/pcmSupplierVisit',
        function () {
            return view('qc::pcm_supplier_visit_format');
        }
    )->middleware('is.logged');

    Route::get(
        '/ecMeterVerification',
        function () {
            return view('qc::ec_meter_verification_record');
        }
    )->middleware('is.logged');

    Route::get(
        '/waterQuality',
        function () {
            return view('qc::water_quality_ilr');
        }
    )->middleware('is.logged');

    Route::get(
        '/localOrder',
        function () {
            return view('qc::local_order_ltr');
        }
    )->middleware('is.logged');

    Route::get(
        '/scaleCalibration',
        function () {
            return view('qc::scale_calibration');
        }
    )->middleware('is.logged');

    Route::get(
        '/weedContamination',
        function () {
            return view('qc::weed_contamination_record');
        }
    )->middleware('is.logged');

    Route::get(
        '/weeklyLqr',
        function () {
            return view('qc::weekly_lqr');
        }
    )->middleware('is.logged');

    Route::get(
        '/leachWaterColor',
        function () {
            return view('qc::leach_water_color_report');
        }
    )->middleware('is.logged');

    Route::get(
        '/microTesting',
        function () {
            return view('qc::micro_testing_summary');
        }
    )->middleware('is.logged');

    Route::get(
        '/chemicalTesting',
        function () {
            return view('qc::chemical_testing_summary');
        }
    )->middleware('is.logged');

    Route::get(
        '/requestMb',
        function () {
            return view('qc::request_mb');
        }
    )->middleware('is.logged');

    Route::get(
        '/sampleInformation',
        function () {
            return view('qc::sample_information');
        }
    )->middleware('is.logged');

    Route::post('/damageCheckingRecordsDataController/save', [DamageCheckingRecordsDataController::class, 'save']);
    Route::get('/DamageCheckingRecordsDataController/getShiftData', [DamageCheckingRecordsDataController::class, 'getShiftData']);
    Route::get('/damageCheckingRecordsDataController/getDcData/{id}', [DamageCheckingRecordsDataController::class, 'getDcData']);
    Route::put('/DamageCheckingRecordsDataController/update/{id}', [DamageCheckingRecordsDataController::class, 'update']);

    Route::get('/DamageCheckingRecordsHeaderController/records', [DamageCheckingRecordsHeaderController::class, 'allRecords']);
    Route::get('/DamageCheckingRecordsHeaderController/getOrderNo', [DamageCheckingRecordsHeaderController::class, 'getOrderNo']);
    Route::get('/DamageCheckingRecordsHeaderController/getProductPrimaryId', [DamageCheckingRecordsHeaderController::class, 'getProductPrimaryId']);
    Route::delete('/DamageCheckingRecordsHeaderController/delete/{id}', [DamageCheckingRecordsHeaderController::class, 'deleteRecord']);
    Route::get('/DamageCheckingRecordsHeaderController/damageCheckingReport/{id}', [DamageCheckingRecordsHeaderController::class, 'damageCheckingReport']);


    Route::post('/PackingLineQualityRecordDataController/save', [PackingLineQualityRecordDataController::class, 'save']);
    Route::get('/PackingLineQualityRecordDataController/getCheckedBy', [PackingLineQualityRecordDataController::class, 'getCheckedBy']);
    Route::get('/PackingLineQualityRecordDataController/getPlqData/{id}', [PackingLineQualityRecordDataController::class, 'getPlqData']);
    Route::put('/PackingLineQualityRecordDataController/update/{id}', [PackingLineQualityRecordDataController::class, 'update']);


    Route::get('/PackingLineQualityRecordHeaderController/records', [PackingLineQualityRecordHeaderController::class, 'allRecords']);
    Route::delete('/PackingLineQualityRecordHeaderController/delete/{id}', [PackingLineQualityRecordHeaderController::class, 'deleteRecord']);
    Route::get('/PackingLineQualityRecordHeaderController/packingLineReport/{id}', [PackingLineQualityRecordHeaderController::class, 'packingLineReport']);


    Route::get('/SupervisorCheckListDataController/getMachineryData', [SupervisorCheckListDataController::class, 'getMachineryData']);
    Route::get('/SupervisorCheckListDataController/getMaterialData', [SupervisorCheckListDataController::class, 'getMaterialData']);
    Route::get('/SupervisorCheckListDataController/getFactoryData', [SupervisorCheckListDataController::class, 'getFactoryData']);
    Route::post('/SupervisorCheckListDataController/save', [SupervisorCheckListDataController::class, 'save']);
    Route::get('/SupervisorCheckListDataController/getSclData/{id}', [SupervisorCheckListDataController::class, 'getSclData']);
    Route::put('/SupervisorCheckListDataController/update/{id}', [SupervisorCheckListDataController::class, 'update']);


    Route::get('/SupervisorCheckListHeaderController/records', [SupervisorCheckListHeaderController::class, 'allRecords']);
    Route::delete('/SupervisorCheckListHeaderController/delete/{id}', [SupervisorCheckListHeaderController::class, 'deleteRecord']);
    Route::get('/SupervisorCheckListHeaderController/supervisorCheckListReport/{id}', [SupervisorCheckListHeaderController::class, 'supervisorCheckListReport']);


    Route::post('/PackingMaterialChecklistController/save', [PackingMaterialChecklistController::class, 'save']);
    Route::get('/PackingMaterialChecklistController/getPackingMaterialData/{id}', [PackingMaterialChecklistController::class, 'getPackingMaterialData']);
    Route::put('/PackingMaterialChecklistController/update/{id}', [PackingMaterialChecklistController::class, 'update']);


    Route::get('/PackingMaterialChecklistHeaderController/records', [PackingMaterialChecklistHeaderController::class, 'allRecords']);
    Route::delete('/PackingMaterialChecklistHeaderController/delete/{id}', [PackingMaterialChecklistHeaderController::class, 'deleteRecord']);
    Route::get('/PackingMaterialChecklistHeaderController/packingMaterialCheckListReport/{id}', [PackingMaterialChecklistHeaderController::class, 'packingMaterialCheckListReport']);
    Route::get('/PackingMaterialChecklistHeaderController/allSuppliers', [PackingMaterialChecklistHeaderController::class, 'allSuppliers']);


    Route::post('/SettingsController/saveMaterialType', [SettingsController::class, 'saveMaterialType']);
    Route::get('/SettingsController/getAllMaterialType', [SettingsController::class, 'getAllMaterialType']);
    Route::get('/SettingsController/getMaterialType/{id}', [SettingsController::class, 'getMaterialType']);
    Route::put('/SettingsController/updateMaterialType/{id}', [SettingsController::class, 'updateMaterialType']);
    Route::put('/SettingsController/disableMaterialType/{id}', [SettingsController::class, 'disableMaterialType']);


    Route::post('/NcrRecordAttachmentController/uploadAttachment', [NcrRecordAttachmentController::class, 'uploadAttachment'])->name('/NcrRecordAttachmentController/uploadAttachment');


    Route::delete('/NcrRecordController/delete/{id}', [NcrRecordController::class, 'deleteRecord']);
    Route::get('/NcrRecordController/records', [NcrRecordController::class, 'allNcrRecords']);
    Route::post('/NcrRecordController/save', [NcrRecordController::class, 'saveNcrRecord']);
    Route::put('/NcrRecordController/update/{id}', [NcrRecordController::class, 'update']);
    Route::get('/NcrRecordController/getNcrData/{id}', [NcrRecordController::class, 'getNcrData']);


    Route::post('/DailyQualityBagInspectionDataController/save', [DailyQualityBagInspectionDataController::class, 'save']);
    Route::get('/DailyQualityBagInspectionDataController/getBiData/{id}', [DailyQualityBagInspectionDataController::class, 'getBiData']);
    Route::put('/DailyQualityBagInspectionDataController/update/{id}', [DailyQualityBagInspectionDataController::class, 'update']);


    Route::get('/DailyQualityBagInspectionDataHeaderController/records', [DailyQualityBagInspectionDataHeaderController::class, 'allRecords']);
    Route::delete('/DailyQualityBagInspectionDataHeaderController/delete/{id}', [DailyQualityBagInspectionDataHeaderController::class, 'deleteRecord']);
    Route::get('/DailyQualityBagInspectionDataHeaderController/bagInspectionReport/{id}', [DailyQualityBagInspectionDataHeaderController::class, 'bagInspectionReport']);


    Route::post('/ElectricalConductivityCheckListDataController/save', [ElectricalConductivityCheckListDataController::class, 'save']);
    Route::get('/ElectricalConductivityCheckListDataController/getEcData/{id}', [ElectricalConductivityCheckListDataController::class, 'getEcData']);
    Route::put('/ElectricalConductivityCheckListDataController/update/{id}', [ElectricalConductivityCheckListDataController::class, 'update']);


    Route::get('/ElectricalConductivityCheckListHeaderController/records', [ElectricalConductivityCheckListHeaderController::class, 'allRecords']);
    Route::delete('/ElectricalConductivityCheckListHeaderController/delete/{id}', [ElectricalConductivityCheckListHeaderController::class, 'deleteRecord']);
    Route::get('/ElectricalConductivityCheckListHeaderController/ecReport/{id}', [ElectricalConductivityCheckListHeaderController::class, 'ecReport']);


    Route::post('/ProductionWeightReportController/save', [ProductionWeightReportController::class, 'save']);
    Route::get('/ProductionWeightReportController/getPwrData/{id}', [ProductionWeightReportController::class, 'getPwrData']);
    Route::put('/ProductionWeightReportController/update/{id}', [ProductionWeightReportController::class, 'update']);


    Route::get('/ProductionWeightReportHeaderController/records', [ProductionWeightReportHeaderController::class, 'allRecords']);
    Route::delete('/ProductionWeightReportHeaderController/delete/{id}', [ProductionWeightReportHeaderController::class, 'deleteRecord']);
    Route::get('/ProductionWeightReportHeaderController/pwReportPrint/{id}', [ProductionWeightReportHeaderController::class, 'pwReportPrint']);


    Route::post('/PallatizingDetailsDataController/save', [PallatizingDetailsDataController::class, 'save']);
    Route::get('/PallatizingDetailsDataController/getPdData/{id}', [PallatizingDetailsDataController::class, 'getPdData']);
    Route::put('/PallatizingDetailsDataController/update/{id}', [PallatizingDetailsDataController::class, 'update']);


    Route::get('/PallatizingDetailsHeaderController/records', [PallatizingDetailsHeaderController::class, 'allRecords']);
    Route::delete('/PallatizingDetailsHeaderController/delete/{id}', [PallatizingDetailsHeaderController::class, 'deleteRecord']);
    Route::get('/PallatizingDetailsHeaderController/pallatizingReport/{id}', [PallatizingDetailsHeaderController::class, 'pallatizingReport']);


    Route::post('/QualityInspectionExpansionDataController/save', [QualityInspectionExpansionDataController::class, 'save']);
    Route::get('/QualityInspectionExpansionDataController/getQieData/{id}', [QualityInspectionExpansionDataController::class, 'getQieData']);
    Route::put('/QualityInspectionExpansionDataController/update/{id}', [QualityInspectionExpansionDataController::class, 'update']);


    Route::get('/QualityInspectionExpansionHeaderController/records', [QualityInspectionExpansionHeaderController::class, 'allRecords']);
    Route::delete('/QualityInspectionExpansionHeaderController/delete/{id}', [QualityInspectionExpansionHeaderController::class, 'deleteRecord']);
    Route::get('/QualityInspectionExpansionHeaderController/qualityInspectionReport/{id}', [QualityInspectionExpansionHeaderController::class, 'qualityInspectionReport']);


    Route::post('/IacListController/uploadAttachment', [IacListController::class, 'uploadAttachment'])->name('/IacListController/uploadAttachment');
    Route::delete('/IacListController/delete/{id}', [IacListController::class, 'deleteRecord']);
    Route::get('/IacListController/records', [IacListController::class, 'allIacLists']);
    Route::post('/IacListController/save', [IacListController::class, 'saveIacList']);
    Route::put('/IacListController/update/{id}', [IacListController::class, 'update']);
    Route::get('/IacListController/getIaclData/{id}', [IacListController::class, 'getIaclData']);


    Route::post('/SupplierEvaluationController/uploadAttachment', [SupplierEvaluationController::class, 'uploadAttachment'])->name('/SupplierEvaluationController/uploadAttachment');
    Route::delete('/SupplierEvaluationController/delete/{id}', [SupplierEvaluationController::class, 'deleteRecord']);
    Route::get('/SupplierEvaluationController/records', [SupplierEvaluationController::class, 'allSupplierEvaluations']);
    Route::post('/SupplierEvaluationController/save', [SupplierEvaluationController::class, 'saveSupplierEvaluation']);
    Route::put('/SupplierEvaluationController/update/{id}', [SupplierEvaluationController::class, 'update']);
    Route::get('/SupplierEvaluationController/getSeData/{id}', [SupplierEvaluationController::class, 'getSeData']);


    Route::post('/SupplierQuestionnaireController/uploadAttachment', [SupplierQuestionnaireController::class, 'uploadAttachment'])->name('/SupplierQuestionnaireController/uploadAttachment');
    Route::delete('/SupplierQuestionnaireController/delete/{id}', [SupplierQuestionnaireController::class, 'deleteRecord']);
    Route::get('/SupplierQuestionnaireController/records', [SupplierQuestionnaireController::class, 'allSupplierQuestionnaires']);
    Route::post('/SupplierQuestionnaireController/save', [SupplierQuestionnaireController::class, 'saveSupplierQuestionnaire']);
    Route::put('/SupplierQuestionnaireController/update/{id}', [SupplierQuestionnaireController::class, 'update']);
    Route::get('/SupplierQuestionnaireController/getSqData/{id}', [SupplierQuestionnaireController::class, 'getSqData']);


    Route::post('/QuarantineRequestFormController/uploadAttachment', [QuarantineRequestFormController::class, 'uploadAttachment'])->name('/QuarantineRequestFormController/uploadAttachment');
    Route::delete('/QuarantineRequestFormController/delete/{id}', [QuarantineRequestFormController::class, 'deleteRecord']);
    Route::get('/QuarantineRequestFormController/records', [QuarantineRequestFormController::class, 'allQuarantineRequestForms']);
    Route::post('/QuarantineRequestFormController/save', [QuarantineRequestFormController::class, 'saveQuarantineRequestForm']);
    Route::put('/QuarantineRequestFormController/update/{id}', [QuarantineRequestFormController::class, 'update']);
    Route::get('/QuarantineRequestFormController/getQrData/{id}', [QuarantineRequestFormController::class, 'getQrData']);


    Route::post('/QuarantineCountryListController/uploadAttachment', [QuarantineCountryListController::class, 'uploadAttachment'])->name('/QuarantineCountryListController/uploadAttachment');
    Route::delete('/QuarantineCountryListController/delete/{id}', [QuarantineCountryListController::class, 'deleteRecord']);
    Route::get('/QuarantineCountryListController/records', [QuarantineCountryListController::class, 'allQuarantineCountryLists']);
    Route::post('/QuarantineCountryListController/save', [QuarantineCountryListController::class, 'saveQuarantineCountryList']);
    Route::put('/QuarantineCountryListController/update/{id}', [QuarantineCountryListController::class, 'update']);
    Route::get('/QuarantineCountryListController/getQcData/{id}', [QuarantineCountryListController::class, 'getQcData']);


    Route::post('/DailyLabReportDayController/uploadAttachment', [DailyLabReportDayController::class, 'uploadAttachment'])->name('/DailyLabReportDayController/uploadAttachment');
    Route::delete('/DailyLabReportDayController/delete/{id}', [DailyLabReportDayController::class, 'deleteRecord']);
    Route::get('/DailyLabReportDayController/records', [DailyLabReportDayController::class, 'allDailyLabReportDays']);
    Route::post('/DailyLabReportDayController/save', [DailyLabReportDayController::class, 'saveDailyLabReportDay']);
    Route::put('/DailyLabReportDayController/update/{id}', [DailyLabReportDayController::class, 'update']);
    Route::get('/DailyLabReportDayController/getDlrDayData/{id}', [DailyLabReportDayController::class, 'getDlrDayData']);


    Route::post('/DailyLabReportNightController/uploadAttachment', [DailyLabReportNightController::class, 'uploadAttachment'])->name('/DailyLabReportNightController/uploadAttachment');
    Route::delete('/DailyLabReportNightController/delete/{id}', [DailyLabReportNightController::class, 'deleteRecord']);
    Route::get('/DailyLabReportNightController/records', [DailyLabReportNightController::class, 'allDailyLabReportNights']);
    Route::post('/DailyLabReportNightController/save', [DailyLabReportNightController::class, 'saveDailyLabReportNight']);
    Route::put('/DailyLabReportNightController/update/{id}', [DailyLabReportNightController::class, 'update']);
    Route::get('/DailyLabReportNightController/getDlrNightData/{id}', [DailyLabReportNightController::class, 'getDlrNightData']);


    Route::post('/DailyLabReportOutsideController/uploadAttachment', [DailyLabReportOutsideController::class, 'uploadAttachment'])->name('/DailyLabReportOutsideController/uploadAttachment');
    Route::delete('/DailyLabReportOutsideController/delete/{id}', [DailyLabReportOutsideController::class, 'deleteRecord']);
    Route::get('/DailyLabReportOutsideController/records', [DailyLabReportOutsideController::class, 'allDailyLabReportOutsides']);
    Route::post('/DailyLabReportOutsideController/save', [DailyLabReportOutsideController::class, 'saveDailyLabReportOutside']);
    Route::put('/DailyLabReportOutsideController/update/{id}', [DailyLabReportOutsideController::class, 'update']);
    Route::get('/DailyLabReportOutsideController/getDlrOutsideData/{id}', [DailyLabReportOutsideController::class, 'getDlrOutsideData']);


    Route::post('/DailyLabReportSbpController/uploadAttachment', [DailyLabReportSbpController::class, 'uploadAttachment'])->name('/DailyLabReportSbpController/uploadAttachment');
    Route::delete('/DailyLabReportSbpController/delete/{id}', [DailyLabReportSbpController::class, 'deleteRecord']);
    Route::get('/DailyLabReportSbpController/records', [DailyLabReportSbpController::class, 'allDailyLabReportSbps']);
    Route::post('/DailyLabReportSbpController/save', [DailyLabReportSbpController::class, 'saveDailyLabReportSbp']);
    Route::put('/DailyLabReportSbpController/update/{id}', [DailyLabReportSbpController::class, 'update']);
    Route::get('/DailyLabReportSbpController/getDlrSbpData/{id}', [DailyLabReportSbpController::class, 'getDlrSbpData']);


    Route::post('/OutsideFactoryVisitRecordController/uploadAttachment', [OutsideFactoryVisitRecordController::class, 'uploadAttachment'])->name('/OutsideFactoryVisitRecordController/uploadAttachment');
    Route::delete('/OutsideFactoryVisitRecordController/delete/{id}', [OutsideFactoryVisitRecordController::class, 'deleteRecord']);
    Route::get('/OutsideFactoryVisitRecordController/records', [OutsideFactoryVisitRecordController::class, 'allRecords']);
    Route::post('/OutsideFactoryVisitRecordController/save', [OutsideFactoryVisitRecordController::class, 'saveRecord']);
    Route::put('/OutsideFactoryVisitRecordController/update/{id}', [OutsideFactoryVisitRecordController::class, 'update']);
    Route::get('/OutsideFactoryVisitRecordController/getFactoryVisitData/{id}', [OutsideFactoryVisitRecordController::class, 'getData']);


    Route::post('/PcmSupplierVisitFormatController/uploadAttachment', [PcmSupplierVisitFormatController::class, 'uploadAttachment'])->name('/PcmSupplierVisitFormatController/uploadAttachment');
    Route::delete('/PcmSupplierVisitFormatController/delete/{id}', [PcmSupplierVisitFormatController::class, 'deleteRecord']);
    Route::get('/PcmSupplierVisitFormatController/records', [PcmSupplierVisitFormatController::class, 'allRecords']);
    Route::post('/PcmSupplierVisitFormatController/save', [PcmSupplierVisitFormatController::class, 'saveRecord']);
    Route::put('/PcmSupplierVisitFormatController/update/{id}', [PcmSupplierVisitFormatController::class, 'update']);
    Route::get('/PcmSupplierVisitFormatController/getPcmSupplierVisitData/{id}', [PcmSupplierVisitFormatController::class, 'getData']);


    Route::post('/EcMeterVerificationRecordController/uploadAttachment', [EcMeterVerificationRecordController::class, 'uploadAttachment'])->name('/EcMeterVerificationRecordController/uploadAttachment');
    Route::delete('/EcMeterVerificationRecordController/delete/{id}', [EcMeterVerificationRecordController::class, 'deleteRecord']);
    Route::get('/EcMeterVerificationRecordController/records', [EcMeterVerificationRecordController::class, 'allRecords']);
    Route::post('/EcMeterVerificationRecordController/save', [EcMeterVerificationRecordController::class, 'saveRecord']);
    Route::put('/EcMeterVerificationRecordController/update/{id}', [EcMeterVerificationRecordController::class, 'update']);
    Route::get('/EcMeterVerificationRecordController/getEcMeterData/{id}', [EcMeterVerificationRecordController::class, 'getData']);


    Route::post('/WaterQualityIlrController/uploadAttachment', [WaterQualityIlrController::class, 'uploadAttachment'])->name('/WaterQualityIlrController/uploadAttachment');
    Route::delete('/WaterQualityIlrController/delete/{id}', [WaterQualityIlrController::class, 'deleteRecord']);
    Route::get('/WaterQualityIlrController/records', [WaterQualityIlrController::class, 'allRecords']);
    Route::post('/WaterQualityIlrController/save', [WaterQualityIlrController::class, 'saveRecord']);
    Route::put('/WaterQualityIlrController/update/{id}', [WaterQualityIlrController::class, 'update']);
    Route::get('/WaterQualityIlrController/getWaterQualityData/{id}', [WaterQualityIlrController::class, 'getData']);


    Route::post('/LocalOrderLtrController/uploadAttachment', [LocalOrderLtrController::class, 'uploadAttachment'])->name('/LocalOrderLtrController/uploadAttachment');
    Route::delete('/LocalOrderLtrController/delete/{id}', [LocalOrderLtrController::class, 'deleteRecord']);
    Route::get('/LocalOrderLtrController/records', [LocalOrderLtrController::class, 'allRecords']);
    Route::post('/LocalOrderLtrController/save', [LocalOrderLtrController::class, 'saveRecord']);
    Route::put('/LocalOrderLtrController/update/{id}', [LocalOrderLtrController::class, 'update']);
    Route::get('/LocalOrderLtrController/getLocalOrderData/{id}', [LocalOrderLtrController::class, 'getData']);


    Route::post('/ScaleCalibrationController/uploadAttachment', [ScaleCalibrationController::class, 'uploadAttachment'])->name('/ScaleCalibrationController/uploadAttachment');
    Route::delete('/ScaleCalibrationController/delete/{id}', [ScaleCalibrationController::class, 'deleteRecord']);
    Route::get('/ScaleCalibrationController/records', [ScaleCalibrationController::class, 'allRecords']);
    Route::post('/ScaleCalibrationController/save', [ScaleCalibrationController::class, 'saveRecord']);
    Route::put('/ScaleCalibrationController/update/{id}', [ScaleCalibrationController::class, 'update']);
    Route::get('/ScaleCalibrationController/getScaleCalibrationData/{id}', [ScaleCalibrationController::class, 'getData']);


    Route::post('/WeedContaminationRecordController/uploadAttachment', [WeedContaminationRecordController::class, 'uploadAttachment'])->name('/WeedContaminationRecordController/uploadAttachment');
    Route::delete('/WeedContaminationRecordController/delete/{id}', [WeedContaminationRecordController::class, 'deleteRecord']);
    Route::get('/WeedContaminationRecordController/records', [WeedContaminationRecordController::class, 'allRecords']);
    Route::post('/WeedContaminationRecordController/save', [WeedContaminationRecordController::class, 'saveRecord']);
    Route::put('/WeedContaminationRecordController/update/{id}', [WeedContaminationRecordController::class, 'update']);
    Route::get('/WeedContaminationRecordController/getWeedContaminationData/{id}', [WeedContaminationRecordController::class, 'getData']);


    Route::post('/WeeklyLqrController/uploadAttachment', [WeeklyLqrController::class, 'uploadAttachment'])->name('/WeeklyLqrController/uploadAttachment');
    Route::delete('/WeeklyLqrController/delete/{id}', [WeeklyLqrController::class, 'deleteRecord']);
    Route::get('/WeeklyLqrController/records', [WeeklyLqrController::class, 'allRecords']);
    Route::post('/WeeklyLqrController/save', [WeeklyLqrController::class, 'saveRecord']);
    Route::put('/WeeklyLqrController/update/{id}', [WeeklyLqrController::class, 'update']);
    Route::get('/WeeklyLqrController/getWeeklyLqrData/{id}', [WeeklyLqrController::class, 'getData']);


    Route::post('/LeachWaterColorReportController/uploadAttachment', [LeachWaterColorReportController::class, 'uploadAttachment'])->name('/LeachWaterColorReportController/uploadAttachment');
    Route::delete('/LeachWaterColorReportController/delete/{id}', [LeachWaterColorReportController::class, 'deleteRecord']);
    Route::get('/LeachWaterColorReportController/records', [LeachWaterColorReportController::class, 'allRecords']);
    Route::post('/LeachWaterColorReportController/save', [LeachWaterColorReportController::class, 'saveRecord']);
    Route::put('/LeachWaterColorReportController/update/{id}', [LeachWaterColorReportController::class, 'update']);
    Route::get('/LeachWaterColorReportController/getLeachWaterColorData/{id}', [LeachWaterColorReportController::class, 'getData']);


    Route::post('/MicroTestingSummaryController/uploadAttachment', [MicroTestingSummaryController::class, 'uploadAttachment'])->name('/MicroTestingSummaryController/uploadAttachment');
    Route::delete('/MicroTestingSummaryController/delete/{id}', [MicroTestingSummaryController::class, 'deleteRecord']);
    Route::get('/MicroTestingSummaryController/records', [MicroTestingSummaryController::class, 'allRecords']);
    Route::post('/MicroTestingSummaryController/save', [MicroTestingSummaryController::class, 'saveRecord']);
    Route::put('/MicroTestingSummaryController/update/{id}', [MicroTestingSummaryController::class, 'update']);
    Route::get('/MicroTestingSummaryController/getMicroTestingData/{id}', [MicroTestingSummaryController::class, 'getData']);


    Route::post('/ChemicalTestingSummaryController/uploadAttachment', [ChemicalTestingSummaryController::class, 'uploadAttachment'])->name('/ChemicalTestingSummaryController/uploadAttachment');
    Route::delete('/ChemicalTestingSummaryController/delete/{id}', [ChemicalTestingSummaryController::class, 'deleteRecord']);
    Route::get('/ChemicalTestingSummaryController/records', [ChemicalTestingSummaryController::class, 'allRecords']);
    Route::post('/ChemicalTestingSummaryController/save', [ChemicalTestingSummaryController::class, 'saveRecord']);
    Route::put('/ChemicalTestingSummaryController/update/{id}', [ChemicalTestingSummaryController::class, 'update']);
    Route::get('/ChemicalTestingSummaryController/getChemicalTestingData/{id}', [ChemicalTestingSummaryController::class, 'getData']);


    Route::post('/RequestMethylBromideController/uploadAttachment', [RequestMethylBromideController::class, 'uploadAttachment'])->name('/RequestMethylBromideController/uploadAttachment');
    Route::delete('/RequestMethylBromideController/delete/{id}', [RequestMethylBromideController::class, 'deleteRecord']);
    Route::get('/RequestMethylBromideController/records', [RequestMethylBromideController::class, 'allRecords']);
    Route::post('/RequestMethylBromideController/save', [RequestMethylBromideController::class, 'saveRecord']);
    Route::put('/RequestMethylBromideController/update/{id}', [RequestMethylBromideController::class, 'update']);
    Route::get('/RequestMethylBromideController/getRequestMbData/{id}', [RequestMethylBromideController::class, 'getData']);


    Route::post('/SampleInformationController/uploadAttachment', [SampleInformationController::class, 'uploadAttachment'])->name('/SampleInformationController/uploadAttachment');
    Route::delete('/SampleInformationController/delete/{id}', [SampleInformationController::class, 'deleteRecord']);
    Route::get('/SampleInformationController/records', [SampleInformationController::class, 'allRecords']);
    Route::post('/SampleInformationController/save', [SampleInformationController::class, 'saveRecord']);
    Route::put('/SampleInformationController/update/{id}', [SampleInformationController::class, 'update']);
    Route::get('/SampleInformationController/getSampleInformationData/{id}', [SampleInformationController::class, 'getData']);
});